//  Persistance of Vision Raytracer V3.1
//  World definition file.
//
//  Contains 3 lights, 16 materials and 73 primitives.
//
//  This file was generated for POV-Ray V3.1 by
//  Moray V3.1 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 06/27/1999    (27.06.1999)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

default {
  texture {
    pigment { rgb <1,0,0> }
  }
}

/* // Scene Comment

This scene was created with Moray For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera StdCam
  location  <    -12.302,     -74.387,      21.862>
  direction <        0.0,         0.0,      0.7945> // Aperture is 1.12 degrees
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.33333,         0.0,         0.0> // Aspect ratio
  look_at   <    -10.158,      -7.950,      15.221>
}

//    Other cameras are commented out.
/*
camera {  //  Camera SpotCam002
  location  <      0.000,      -0.001,     116.684> // Attached to Spotlight001
  direction <        0.0,         0.0,      1.5167> // Aperture is 0.64 degrees
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.33333,         0.0,         0.0> // Aspect ratio
  look_at   <      0.000,       0.000,     115.684>
}

*/

//
// *******  L I G H T S *******
//

light_source {   // Light001
  <26.088, -47.994, 34.677>
  color rgb <1.000, 1.000, 1.000>
  shadowless
}

light_source {   // Spotlight Spotlight001
  <0.000, 0.000, 116.684>
  color rgb <1.000, 1.000, 1.000>
  spotlight
    point_at  <0.000, 0.000, 114.684>
    falloff    19.474  // outer radius (in deg)
    radius     7.500  // inner radius
    tightness  0.000
}

light_source {   // Light1
  <-46.227, -51.910, 28.198>
  color rgb <1.000, 1.000, 1.000>
  shadowless
}


//
// ********  MATERIALS  *******
//

#include "irtc4c.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//

box { // Cube016
  <-1, -1, -1>, <1, 1, 1>
  material {
    backdrop
    scale <1.5205, -1.762141, 67.033516>
    rotate -90.0*x
    translate <-1.000920, 1.631606, -0.753571>
  }
  scale <40.0, 0.125, 28.0>
  translate  <-9.957401, 24.676841, 15.013749>
}


box { // Cube015
  <-1, -1, -1>, <1, 1, 1>
  material {
    Brass_Texture
  }
  scale <1.0, 19.5, 1.0>
  translate  <-50.130131, 0.0, 43.120087>
}


box { // Cube014
  <-1, -1, -1>, <1, 1, 1>
  material {
    Brass_Texture
  }
  scale <1.0, 19.5, 1.0>
  translate  <30.108633, 0.0, 43.120087>
}


box { // Cube013
  <-1, -1, -1>, <1, 1, 1>
  material {
    Brass_Texture
  }
  scale <41.0, 1.0, 1.0>
  translate  <-10.09904, 18.89304, 42.946518>
}


box { // Cube012
  <-1, -1, -1>, <1, 1, 1>
  material {
    Brass_Texture
  }
  scale <41.0, 1.0, 1.0>
  translate  <-10.125668, -18.937974, 43.114976>
}


union { // CSG004
  box { // Cube009
    <-1, -1, -1>, <1, 1, 1>
    scale <0.25, 1.5, 25.0>
    translate  <-50.75, -18.25, 19.0>
  }
  box { // Cube010
    <-1, -1, -1>, <1, 1, 1>
    scale <0.25, 1.25, 25.0>
    rotate -90.0*z
    translate  <-49.5, -19.5, 19.0>
  }
  material {
    Brass_Texture
  }
  rotate -270.0*z
  translate  <11.33167, 31.11267, 0.0>
}


union { // CSG003
  box { // Cube007
    <-1, -1, -1>, <1, 1, 1>
    scale <0.25, 1.5, 25.0>
    translate  <-50.75, -18.25, 19.0>
  }
  box { // Cube008
    <-1, -1, -1>, <1, 1, 1>
    scale <0.25, 1.25, 25.0>
    rotate -90.0*z
    translate  <-49.5, -19.5, 19.0>
  }
  material {
    Brass_Texture
  }
  rotate -180.0*z
  translate  <-19.984373, -0.052878, 0.0>
}


union { // CSG002
  box { // Cube005
    <-1, -1, -1>, <1, 1, 1>
    scale <0.25, 1.5, 25.0>
    translate  <-50.75, -18.25, 19.0>
  }
  box { // Cube006
    <-1, -1, -1>, <1, 1, 1>
    scale <0.25, 1.25, 25.0>
    rotate -90.0*z
    translate  <-49.5, -19.5, 19.0>
  }
  material {
    Brass_Texture
  }
  rotate -90.0*z
  translate  <-31.417945, -31.138036, 0.0>
}


union { // CSG001
  box { // Cube003
    <-1, -1, -1>, <1, 1, 1>
    scale <0.25, 1.5, 25.0>
    translate  <-50.75, -18.25, 19.0>
  }
  box { // Cube004
    <-1, -1, -1>, <1, 1, 1>
    scale <0.25, 1.25, 25.0>
    rotate -90.0*z
    translate  <-49.5, -19.5, 19.0>
  }
  material {
    Brass_Texture
  }
  translate  <-0.167945, -0.167945, 0.0>
}


#include "C:\RAYTRACING\MORAY FOR WINDOWS\POVScn\palmtree.inc"

#declare palmleaf00_PALM_LEAF_OPC_Ref = object {
  palmleaf00_PALM_LEAF_OPC
  material {
    Grass1
  }
}
#declare palmleaf01_PALM_LEAF_OPC_Ref = object {
  palmleaf01_PALM_LEAF_OPC
  material {
    Grass1
  }
}
#declare palmleaf02_PALM_LEAF_OPC_Ref = object {
  palmleaf02_PALM_LEAF_OPC
  material {
    Grass1
  }
}
#declare palmstem01_PALM_STEM_Ref = object {
  palmstem01_PALM_STEM
  material {
    Grass1
  }
}
#declare palmleaf03_PALM_LEAF_OPC_Ref = object {
  palmleaf03_PALM_LEAF_OPC
  material {
    Grass1
  }
}
#declare palmstem02_PALM_STEM_Ref = object {
  palmstem02_PALM_STEM
  material {
    Grass1
  }
}
#declare palmleaf04_PALM_LEAF_OPC_Ref = object {
  palmleaf04_PALM_LEAF_OPC
  material {
    Grass1
  }
}
#declare palmstem03_PALM_STEM_Ref = object {
  palmstem03_PALM_STEM
  material {
    Grass1
  }
}
#declare palmleaf05_PALM_LEAF_OPC_Ref = object {
  palmleaf05_PALM_LEAF_OPC
  material {
    Grass1
  }
}
#declare palmstem04_PALM_STEM_Ref = object {
  palmstem04_PALM_STEM
  material {
    Grass1
  }
}
#declare palmleaf06_PALM_LEAF_OPC_Ref = object {
  palmleaf06_PALM_LEAF_OPC
  material {
    Grass1
  }
}
#declare palmstem05_PALM_STEM_Ref = object {
  palmstem05_PALM_STEM
  material {
    Grass1
  }
}
#declare palmleaf07_PALM_LEAF_OPC_Ref = object {
  palmleaf07_PALM_LEAF_OPC
  material {
    Grass1
  }
}
#declare palmstem06_PALM_STEM_Ref = object {
  palmstem06_PALM_STEM
  material {
    Grass1
  }
}
#declare palmleaf08_PALM_LEAF_OPC_Ref = object {
  palmleaf08_PALM_LEAF_OPC
  material {
    Grass1
  }
}
#declare palmstem07_PALM_STEM_Ref = object {
  palmstem07_PALM_STEM
  material {
    Grass1
  }
}
#declare palmleaf09_PALM_LEAF_OPC_Ref = object {
  palmleaf09_PALM_LEAF_OPC
  material {
    Grass1
  }
}
#declare palmstem08_PALM_STEM_Ref = object {
  palmstem08_PALM_STEM
  material {
    Grass1
  }
}
#declare palmleaf10_PALM_LEAF_OPC_Ref = object {
  palmleaf10_PALM_LEAF_OPC
  material {
    Grass1
  }
}
#declare palmleaf11_PALM_LEAF_OPC_Ref = object {
  palmleaf11_PALM_LEAF_OPC
  material {
    Grass1
  }
}
#declare palmleaf12_PALM_LEAF_OPC_Ref = object {
  palmleaf12_PALM_LEAF_OPC
  material {
    Grass1
  }
}
#declare palmleaf13_PALM_LEAF_OPC_Ref = object {
  palmleaf13_PALM_LEAF_OPC
  material {
    Grass1
  }
}
#declare palmleaf14_PALM_LEAF_OPC_Ref = object {
  palmleaf14_PALM_LEAF_OPC
  material {
    Grass1
  }
}
#declare palmleaf15_PALM_LEAF_OPC_Ref = object {
  palmleaf15_PALM_LEAF_OPC
  material {
    Grass1
  }
}
#declare palmleaf16_PALM_LEAF_OPC_Ref = object {
  palmleaf16_PALM_LEAF_OPC
  material {
    Grass1
  }
}
#declare palmleaf17_PALM_LEAF_OPC_Ref = object {
  palmleaf17_PALM_LEAF_OPC
  material {
    Grass1
  }
}
#declare palmleaf18_PALM_LEAF_OPC_Ref = object {
  palmleaf18_PALM_LEAF_OPC
  material {
    Grass1
  }
}
#declare palmleaf19_PALM_LEAF_OPC_Ref = object {
  palmleaf19_PALM_LEAF_OPC
  material {
    Grass1
  }
}
#declare palmleaf20_PALM_LEAF_OPC_Ref = object {
  palmleaf20_PALM_LEAF_OPC
  material {
    Grass1
  }
}
#declare palmleaf21_PALM_LEAF_OPC_Ref = object {
  palmleaf21_PALM_LEAF_OPC
  material {
    Grass1
  }
}
#declare palm_top00_PALM_TOP_01_Ref = object {
  palm_top00_PALM_TOP_01
  material {
    Grass1
  }
}
#declare palmfrons1_PALM_LEAF_OPC_Ref = object {
  palmfrons1_PALM_LEAF_OPC
  material {
    Grass1
  }
}
#declare palm_top01_PALM_TOP_01_Ref = object {
  palm_top01_PALM_TOP_01
  material {
    Grass1
  }
}
#declare palm_top02_PALM_TOP_01_Ref = object {
  palm_top02_PALM_TOP_01
  material {
    Grass1
  }
}
#declare palm_top03_PALM_TOP_01_Ref = object {
  palm_top03_PALM_TOP_01
  material {
    Grass1
  }
}
#declare palm_top04_PALM_TOP_01_Ref = object {
  palm_top04_PALM_TOP_01
  material {
    Grass1
  }
}
#declare palm_top05_PALM_TOP_01_Ref = object {
  palm_top05_PALM_TOP_01
  material {
    Grass1
  }
}
#declare palm_top06_PALM_TOP_01_Ref = object {
  palm_top06_PALM_TOP_01
  material {
    Grass1
  }
}
#declare palm_top07_PALM_TOP_01_Ref = object {
  palm_top07_PALM_TOP_01
  material {
    Grass1
  }
}
#declare palm_top08_PALM_TOP_01_Ref = object {
  palm_top08_PALM_TOP_01
  material {
    Grass1
  }
}
#declare palm_top09_PALM_TOP_01_Ref = object {
  palm_top09_PALM_TOP_01
  material {
    Grass1
  }
}
#declare palm_top10_PALM_TOP_01_Ref = object {
  palm_top10_PALM_TOP_01
  material {
    Grass1
  }
}
#declare palm_top11_PALM_TOP_01_Ref = object {
  palm_top11_PALM_TOP_01
  material {
    Grass1
  }
}
#declare palm_top12_PALM_TOP_01_Ref = object {
  palm_top12_PALM_TOP_01
  material {
    Grass1
  }
}
#declare palmtrnk01_PALM_BASE_Ref = object {
  palmtrnk01_PALM_BASE
  material {
    PineTree
  }
  rotate <-0.0, -0.0, 0.0>
  translate  <0.0, 0.0, 0.0>
}
union { // palmtree_group
  object { palmleaf00_PALM_LEAF_OPC_Ref }
  object { palmleaf01_PALM_LEAF_OPC_Ref }
  object { palmleaf02_PALM_LEAF_OPC_Ref }
  object { palmstem01_PALM_STEM_Ref }
  object { palmleaf03_PALM_LEAF_OPC_Ref }
  object { palmstem02_PALM_STEM_Ref }
  object { palmleaf04_PALM_LEAF_OPC_Ref }
  object { palmstem03_PALM_STEM_Ref }
  object { palmleaf05_PALM_LEAF_OPC_Ref }
  object { palmstem04_PALM_STEM_Ref }
  object { palmleaf06_PALM_LEAF_OPC_Ref }
  object { palmstem05_PALM_STEM_Ref }
  object { palmleaf07_PALM_LEAF_OPC_Ref }
  object { palmstem06_PALM_STEM_Ref }
  object { palmleaf08_PALM_LEAF_OPC_Ref }
  object { palmstem07_PALM_STEM_Ref }
  object { palmleaf09_PALM_LEAF_OPC_Ref }
  object { palmstem08_PALM_STEM_Ref }
  object { palmleaf10_PALM_LEAF_OPC_Ref }
  object { palmleaf11_PALM_LEAF_OPC_Ref }
  object { palmleaf12_PALM_LEAF_OPC_Ref }
  object { palmleaf13_PALM_LEAF_OPC_Ref }
  object { palmleaf14_PALM_LEAF_OPC_Ref }
  object { palmleaf15_PALM_LEAF_OPC_Ref }
  object { palmleaf16_PALM_LEAF_OPC_Ref }
  object { palmleaf17_PALM_LEAF_OPC_Ref }
  object { palmleaf18_PALM_LEAF_OPC_Ref }
  object { palmleaf19_PALM_LEAF_OPC_Ref }
  object { palmleaf20_PALM_LEAF_OPC_Ref }
  object { palmleaf21_PALM_LEAF_OPC_Ref }
  object { palm_top00_PALM_TOP_01_Ref }
  object { palmfrons1_PALM_LEAF_OPC_Ref }
  object { palm_top01_PALM_TOP_01_Ref }
  object { palm_top02_PALM_TOP_01_Ref }
  object { palm_top03_PALM_TOP_01_Ref }
  object { palm_top04_PALM_TOP_01_Ref }
  object { palm_top05_PALM_TOP_01_Ref }
  object { palm_top06_PALM_TOP_01_Ref }
  object { palm_top07_PALM_TOP_01_Ref }
  object { palm_top08_PALM_TOP_01_Ref }
  object { palm_top09_PALM_TOP_01_Ref }
  object { palm_top10_PALM_TOP_01_Ref }
  object { palm_top11_PALM_TOP_01_Ref }
  object { palm_top12_PALM_TOP_01_Ref }
  object { palmtrnk01_PALM_BASE_Ref }
  scale 0.03
  translate  <-44.039661, -8.088685, 2.224446>
}




box { // Cube002
  <-1, -1, -1>, <1, 1, 1>
  scale <1.25, 1.25, 1.0>
  material {
    DMFLightOak
  }
  scale <33.0, 16.0, 4.0>
  translate  <-10.0, 0.0, -4.0>
}


#include "C:\RAYTRACING\MORAY FOR WINDOWS\POVScn\trex.inc"

object {
  _default
  material {
    Leather
  }
  scale 2.75
  rotate -119.318726*z
  translate  <-17.018668, 0.611294, 10.866513>
}


object {   // HgtFld001
  height_field {
    tga "C:\RAYTRACING\MORAY FOR WINDOWS\Maps\beach.tga"
    water_level 0.0
    smooth
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  scale <1.25, 1.25, 0.75>
  rotate -180.0*z
  material {
    Grass1
  }
  scale <33.0, 16.0, 2.0>
  translate  <-10.0, 0.0, 2.0>
}


box { // Cube001
  <-1, -1, -1>, <1, 1, 1>
  material {
    Blood_Marble
  }
  scale <125.0, 50.0, 1.0>
  translate  <-8.171075, 0.617476, -9.1>
}






#declare HgtFld002 = object { 
  height_field {
    tga "C:\RAYTRACING\MORAY FOR WINDOWS\Maps\dinoplat.tga"
    water_level 0.0
    smooth
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  material {
    Tinny_Brass
  }
  scale <30.0, 10.0, 1.0>
  translate  1.0*z
}
difference { // CSG005
  object { HgtFld002 }
  box { // Cube011
    <-1, -1, -1>, <1, 1, 1>
    material {
      antique_copper
    }
    scale <30.0, 10.0, 1.5>
  }
  material {
    antique_copper
  }
  scale <0.4, 0.3, 0.3>
  rotate 90.0*x
  translate  <-8.942976, -20.0, -3.832704>
}


#include "C:\RAYTRACING\MORAY FOR WINDOWS\POVScn\plmbroad.inc"

#declare PLMB_TRUNK_default_Ref = object {
  PLMB_TRUNK_default
  material {
    yuccabrown
  }
}
#declare PLMB_TRUNK_PLMB_BRANCH_2_Ref = object {
  PLMB_TRUNK_PLMB_BRANCH_2
  material {
    yuccabrown
  }
}
#declare PLMB_BRANC_PLMB_BRANCH_2_Ref = object {
  PLMB_BRANC_PLMB_BRANCH_2
  material {
    trunk1
  }
}
#declare PLMB_BLEAF_PLMB_BLEAF_2_Ref = object {
  PLMB_BLEAF_PLMB_BLEAF_2
  material {
    springgreen
  }
}
#declare PLMB_MLEAF_PLMB_MLEAF_2_Ref = object {
  PLMB_MLEAF_PLMB_MLEAF_2
  material {
    medforestgreen
  }
}
#declare PLMB_ELEAF_PLMB_ELEAF_2_Ref = object {
  PLMB_ELEAF_PLMB_ELEAF_2
  material {
    darkseagreen
  }
}
union { // plmbroad_group
  object { PLMB_TRUNK_default_Ref }
  object { PLMB_TRUNK_PLMB_BRANCH_2_Ref }
  object { PLMB_BRANC_PLMB_BRANCH_2_Ref }
  object { PLMB_BLEAF_PLMB_BLEAF_2_Ref }
  object { PLMB_MLEAF_PLMB_MLEAF_2_Ref }
  object { PLMB_ELEAF_PLMB_ELEAF_2_Ref }
  scale 0.35
  rotate -32.229282*z
  translate  <15.767187, 6.645788, 6.61632>
}


